## unyaffs 0.9.7

=== Makefile ===
CFLAGS += -O2 -Wall

unyaffs: unyaffs.c unyaffs.h
	$(CC) $(CFLAGS) $(LDFLAGS) unyaffs.c -o unyaffs

.PHONY: clean

clean:
	rm -f unyaffs

## unyaffs 0.9.6

=== debian/changelog ===
unyaffs (0.9.6-1) unstable; urgency=low

  * Initial packaging (Closes: #703816)

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Tue, 09 Apr 2013 08:42:29 -0600

=== debian/control ===
Source: unyaffs
Section: devel
Priority: extra
Maintainer: Matthew Fischer <matthew.fischer@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.4
Homepage: https://github.com/ehlers/unyaffs
Vcs-Git: git://github.com/ehlers/unyaffs.git
Vcs-Browser: https://github.com/ehlers/unyaffs

Package: unyaffs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extracts files from a YAFFS2 filesystem image
 Unyaffs is a program to extract files from a YAFFS2 filesystem image.
 Currently it can only extract images created by mkyaffs2image.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	CFLAGS=-D_FORTIFY_SOURCE=2 dh_auto_build

%:
	dh $@

## unyaffs 0.9.7

=== debian/changelog ===
unyaffs (0.9.7-1) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.4 to 4.7.0.
  * Moved to debhelper compat level 13.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 25 Apr 2024 20:56:00 +0200

unyaffs (0.9.7-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Package has been orphaned as per #920202 (and verified out-of-band).
    Therefore, change maintainer to Debian QA Group. (Closes: #919965)

 -- dann frazier <dannf@debian.org>  Tue, 22 Jan 2019 13:22:14 -0700

unyaffs (0.9.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fixes FTBFS with glibc 2.28. (Closes: #915997)
  * Build with default CFLAGS for non-empty -dbgsym.
  * Use the upstream manpage. (Closes: #805593)
  * Remove incorrect Vcs-Git and Vcs-Browser fields. (Closes: #916117)
  * Priority: extra -> optional

 -- Adrian Bunk <bunk@debian.org>  Sun, 06 Jan 2019 23:30:37 +0200

=== debian/control ===
Source: unyaffs
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://github.com/ehlers/unyaffs
Vcs-Browser: https://salsa.debian.org/debian/unyaffs
Vcs-Git: https://salsa.debian.org/debian/unyaffs.git
Rules-Requires-Root: no

Package: unyaffs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extracts files from a YAFFS2 filesystem image
 Unyaffs is a program to extract files from a YAFFS2 filesystem image.
 Currently it can only extract images created by mkyaffs2image.

=== debian/watch ===
version=3
https://github.com/ehlers/unyaffs/tags .*/v?(\d[\d\.]+)\.tar\.gz
